Summary:        Low-level Python CFFI Bindings for Argon2
Name:           python-argon2-cffi-bindings
Version:        21.2.0
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/hynek/argon2-cffi-bindings
Source0:        https://files.pythonhosted.org/packages/source/a/argon2-cffi-bindings/argon2-cffi-bindings-21.2.0.tar.gz

BuildRequires:  gcc
BuildRequires:  python3-devel pkgconfig(libargon2)
BuildRequires:  python3-pytest


%description
argon2-cffi-bindings provides low-level CFFI bindings
to the official implementation of the Argon2 password
hashing algorithm.


%package -n     python3-argon2-cffi-bindings
Summary:        %{summary}

%description -n python3-argon2-cffi-bindings
argon2-cffi-bindings provides low-level CFFI bindings
to the official implementation of the Argon2 password
hashing algorithm.

%prep
%autosetup -p1 -n argon2-cffi-bindings-%{version}
rm -r extras/libargon2

%generate_buildrequires
export ARGON2_CFFI_USE_SYSTEM=1
%pyproject_buildrequires -x tests


%build
export ARGON2_CFFI_USE_SYSTEM=1
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files _argon2_cffi_bindings


%check
%pytest -v

%files -n python3-argon2-cffi-bindings
%doc README.md CHANGELOG.md
%dir %{python3_sitearch}/*
%{python3_sitearch}/_argon2_cffi_bindings/*
%{python3_sitearch}/argon2_cffi_bindings-%{version}.dist-info/*


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.2.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Sep 7 2023 Shuo Wang <abushwang@tencent.com> - 21.2.0-3
- display BuildRequires to pytest

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.2.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Miaojun Dong <zoedong@tencent.com> - 21.2.0-1
- initial build
